
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#数值计算之模拟退火法简介(一) / iVAN</title>

    <meta name="description" content="C#数值计算之模拟退火法简介(一) 摘要 本文简介了模拟退火的基本思想,以于模拟时的主要参数的选择根据,然后给出一个求二维函数极值的具体问题和解法,并给出C#源代码. l 概述 在管理科学.计算机科学.分子物理学和生物学以及超大规模集成电路设计.代码设计.图像处理和电子工程等科技领域中,存在大量组合优化瓿.其中许多问题如货郎担问题.图着色问题.设备布局问题以及布线问题等,至今没有找到有效的多项式时间算法.这些问题已被证明是NP完全问题. 1982年,KirkPatrick将退火思想引入组合优化领域,提出一种解大规模组合优化问题的算">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C#数值计算之模拟退火法简介(一)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>摘要</p>
<p>本文简介了模拟退火的基本思想，以于模拟时的主要参数的选择根据，然后给出一个求二维函数极值的具体问题和解法,并给出C#源代码。</p>
<p>l         概述</p>
<p>在管理科学、计算机科学、分子物理学和生物学以及超大规模集成电路设计、代码设计、图像处理和电子工程等科技领域中，存在大量组合优化瓿。其中许多问题如货郎担问题、图着色问题、设备布局问题以及布线问题等，至今没有找到有效的多项式时间算法。这些问题已被证明是NP完全问题。</p>
<p>1982年,KirkPatrick将退火思想引入组合优化领域，提出一种解大规模组合优化问题的算法，对NP完全组合优化问题尤其有效。这源于固体的退火过程，即先将温度加到很高,再缓慢降温(即退火)，使达到能量最低点。如果急速降温(即为淬火)则不能达到最低点.。</p>
<p>在［1］中的解释为：Simulation Annealing is a technique which can be applied to any minimisation or learning process based on successive update steps (either random or deterministic) where the update step length is proportional to an arbitrarily set parameter which can play the role of a temperature. Then, in analogy with the annealing of metals, the temperature is made high in the early stages of the process for faster minimisation or learning, then is reduced for greater stability.</p>
<p>即：模拟退火算法是一种能应用到求最小值问题或基本先前的更新的学习过程（随机或决定性的）。在此过程中，每一步更新过程的长度都与相应的参数成正比，这些参数扮演着温度的角色。然后，与金属退火原理相类似，在开始阶段为了更快地最小化或学习，温度被升得很高，然后才（慢慢）降温以求稳定。</p>
<p>l         模拟退火算法的主要思想</p>
<p>就函数最小值问题来说，模拟退火的主要思想是：在搜索区间（二维平面中）随机游走（即随机选择点），再以Metropolis抽样准则，使随机游走逐渐收敛于局部最优解。而温度即是Metropolis算法中的一个重要控制参数，可以认为这个参数的大小控制了随时过程向局部或全局最优解移动的快慢。</p>
<p>冷却参数表、领域结构和新解产生器、接受准则和随机数产生器（即Metropolis算法）一起构成算法的三大支柱。</p>
<p>l         重点抽样与Metroplis算法：</p>
<p>Metropolis是一种有效的重点抽样法，其算法为：系统从能量一个状态变化到另一个状态时，相应的能量从E1变化到E2，概率为p = exp[ - (E2- E1)/kT ]。如果E2 &lt; E1，系统接收此状态，否则，以一个随机的概率接收此或丢弃此状态。这种经常一定次数的迭代，系统会逐渐趋于一引稳定的分布状态。</p>
<p>重点抽样时，新状态下如果向下则接受（局部最优），若向上（全局搜索），以一定机率接受。模拟退火方法从某个初始解出发,经过大量解的变换后,可以求得给定控制参数值时组合优化问题的相对最优解。然后减小控制参数T的值，重复执行Metropolis算法，就可以在控制参数T趋于零时，最终求得组合优化问题的整体最优解。控制参数的值必须缓慢衰减。</p>
<p>其中温度是一个Metropolis的重要控制参数，模拟退火可视为递减控制参数什时Metroplis算法的迭代。开始T值大，可能接受较差的恶化解，随着T的减小，只能接受较好的恶化解，最后在T趋于0时，就不再接受任何恶化解了。</p>
<p>在无限高温时，系统立即均匀分布，接受所有提出的变换。T的衰减越小，T到达终点的时间越长；但可使马可夫链越小，到达准平衡分布的时间越短，</p>
<p>l         参数的选择：</p>
<p>我们称调整模拟退火法的一系列重要参数为冷却进度表。它控制参数T的初值及其衰减函数，对应的MARKOV链长度和停止条件，非常重要。</p>
<p>一个冷却进度表应当规定下述参数：</p>
<p>1．   控制参数t的初值t0;</p>
<p>2．   控制参数t的衰减函数；</p>
<p>3．   马尔可夫链的长度Lk。（即每一次随机游走过程，要迭代多少次，才能趋于一个准平衡分布，即一个局部收敛解位置）</p>
<p>4．   结束条件的选择</p>
<p>有效的冷却进度表判据：</p>
<p>一．算法的收敛：主要取决于衰减函数和马可夫链的长度及停止准则的选择</p>
<p>二．算法的实验性能：最终解的质量和CPU的时间</p>
<p>参数的选择：</p>
<p>一）控制参数初值T0的选取</p>
<p>一般要求初始值t0的值要充分大，即一开始即处于高温状态，且Metropolis的接收率约为1。</p>
<p>二）衰减函数的选取　</p>
<p>衰减函数用于控制温度的退火速度，一个常用的函数为：T(n + 1) = K*T(n)，其中K是一个非常接近于1的常数。</p>
<p>三）马可夫链长度L的选取</p>
<p>原则是：在衰减参数T的衰减函数已选定的前提下，L应选得在控制参数的每一取值上都能恢复准平衡。</p>
<p>四）终止条件</p>
<p>有很多种终止条件的选择，各种不同的条件对算法的性能和解的质量有很大影响，本文只介绍一个常用的终止条件。即上一个最优解与最新的一个最优解的之差小于某个容差，即可停止此次马尔可夫链的迭代。</p>
<p>l         例题：</p>
<p>以上说明可能太过于抽象，下一节将以一个实际的例子来说明，其中所有的源码已贴出，可以从中了解到很多细节。</p>
<p>l         参考文献：</p>
<p>1．   http://www.computer-dictionary-online.org/index.asp?q=simulated+annealing　计算机词典</p>
<p>2．   Numeric Recipes in C</p>
<p>3．   计算方法丛书  非数值并行算法  （第一册）  模拟退火算法</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 21:27:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%97%ae%e9%a2%98/" title="问题">问题</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e5%88%b6/" title="控制">控制</a>, <a href="https://www.iamivan.net/tag/%e9%a9%ac%e5%b0%94%e5%8f%af%e5%a4%ab%e5%86%b3%e7%ad%96%e8%bf%87%e7%a8%8b/" title="马尔可夫决策过程">马尔可夫决策过程</a>, <a href="https://www.iamivan.net/tag/%e9%9a%8f%e6%9c%ba%e6%b8%b8%e8%b5%b0/" title="随机游走">随机游走</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e6%8b%9f%e9%80%80%e7%81%ab%e7%ae%97%e6%b3%95/" title="模拟退火算法">模拟退火算法</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%ad%90%e6%a8%a1%e6%8b%9f/" title="分子模拟">分子模拟</a>, <a href="https://www.iamivan.net/tag/%e9%80%80%e7%81%ab%e7%ae%97%e6%b3%95/" title="退火算法">退火算法</a>, <a href="https://www.iamivan.net/tag/%e6%9c%80%e4%bc%98%e7%bb%84%e5%90%88/" title="最优组合">最优组合</a>, <a href="https://www.iamivan.net/tag/%e6%b1%82-%e8%a7%a3/" title="求 解">求 解</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e5%80%bc%e7%ae%97%e6%b3%95/" title="数值算法">数值算法</a>, <a href="https://www.iamivan.net/tag/%e9%80%80%e7%81%ab%e7%ae%97%e6%b3%95%e9%81%97%e4%bc%a0%e7%ae%97%e6%b3%95%e7%ae%97%e6%b3%95/" title="退火算法遗传算法算法">退火算法遗传算法算法</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C#数值计算之模拟退火法简介(一)的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBkaJM.html" rel="bookmark">C&num;数值计算之模拟退火法简介&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一篇文章中讲述了模拟退火的基本原理,以下以一个实际的例子来说明,其中所有的源码已贴出,可以从中了解到很多细节. 使用模拟退火法求函数f(x,y) = 5sin(xy) + x2 + y2的最小值 解:根据题意,我们设计冷却表进度表为: 即初始温度为100 衰减参数为0.95 马可夫链长度为10000 Metropolis的步长为0.02 结束条件为根据上一个最优解与最新的一个最优解的之差小于某个容差. 使用METROPOLIS接受准则进行模拟, 程序如下 /* * 模拟退火法求函数f(x,y			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvnNEWM.html" rel="bookmark">《计算机组成原理》----2&period;5  乘除法简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5 乘除法简介 除了加减法,计算机还必须实现乘法和除法.这两个操作比加减法复杂得多,所需的完成时间也长得多(或需要更复杂的硬件).这里仅介绍乘法和除法的基本知识. 2.5.1 移位运算 在讨论如何进行二进制乘法之前,我们首先介绍二进制补码数的算术移位运算.本节将其简称为&quot;移位&quot;.进行移位运算时,一个数的所有位都会向左或向右移动一位(例如,将二进制数00101100左移一位,它将变为01011000,右移一位将变为00010110).有些计算机每次可以移动多位. 二进制补码正数左移一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGARQkM.html" rel="bookmark">Blitz&plus;&plus;与MTL两大数值计算程序库&lpar;C&plus;&plus;&rpar;的简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Blitz++ 与 MTL 都是基于 C++ template 高效数值计算程序库,不过他们专注于不同的方向. Blitz++ 提供了一个 N 维( 1-10 )的 Array 类 , 这个 Array 类以 reference counting 技术实现,支持任意的存储序 (row-major 的 C-style 数组, column-major的 Fortran-style 数组 ) ,数组的切割 (slicing), 子数组的提取 (subarray), 灵活的 Array 相关表达式处理			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7nGKb.html" rel="bookmark">UE实践笔记：KJ法在用户研究中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				去年偶尔看到一篇将KJ法在UX界应用的文章,于是在后续两个项目中尝试使用了一下.下面结合两个实例,介绍这种好记又好用的方法. 一.KJ法简介 KJ法又名亲和图法,是日本人类学家川喜田二郎所发明.人类学家在田野调查中(所谓实地调研或人种志调研)会收集到大量相对零散的事实,如何对这些定性的素材进行有效的比较和分类.识别规律,从而建立假说或发展理论呢?KJ法最原始的核心就在于解决这一问题.也正因此,它十分适合用于UDC流程中的需求探索阶段. 后期,川喜田二郎将KJ法与头脑风暴法结合,使该方法广泛应用在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5N71Az.html" rel="bookmark">独家 &vert; 一文读懂优化算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.前言 模拟退火.遗传算法.禁忌搜索.神经网络等在解决全局最优解的问题上有着独到的优点,其中共同特点就是模拟了自然过程.模拟退火思路源于物理学中固体物质的退火过程,遗传算法借鉴了自然界优胜劣汰的进化思想,禁忌搜索模拟了人类有记忆过程的智力过程,神经网络更是直接模拟了人脑.它们之间的联系也非常紧密,比如模拟退火和遗传算法为神经网络提供更优良的学习算法提供了思路.把它们有机地综合在一起,取长补短,性能将更加优良. 这几种智能算法有别于一般的按照图灵机进行精确计算的程序,尤其是人工神经网络,是对计算			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQx6Vp.html" rel="bookmark">数学建模十大算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:July  二零一一年一月二十九日   一.蒙特卡罗算法1946年,美国拉斯阿莫斯国家实验室的三位科学家John von Neumann,Stan Ulam 和 Nick Metropolis 共同发明了,蒙特卡罗方法. 此算法被评为20世纪最伟大的十大算法之一,详情,请参见我的博文:http://blog.csdn.net/v_JULY_v/archive/2011/01/10/6127953.aspx   蒙特卡罗方法(Monte Carlo method),又称随机抽样或统计模拟方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrVJWM.html" rel="bookmark">《计算机组成原理》----导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目 录 第一部分 起始篇第1章 计算机系统体系结构1.1 什么是计算机系统体系结构1.2 体系结构和组成1.2.1 计算机系统和技术1.2.2 计算机体系结构在计算机科学中的地位1.3 计算机的发展1.3.1 机械计算机1.3.2 机电式计算机1.3.3 早期的电子计算机1.3.4 微机和PC革命1.3.5 摩尔定律和进步的历程1.3.6 存储技术发展1.3.7 普适计算1.3.8 多媒体计算机1.4 存储程序计算机1.4.1 问题描述1.4.2 解决方法1.4.3 构造一个算法1.4.4 计算			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlLxBYM.html" rel="bookmark">旅行者问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 旅行者问题设计(用任何语言都可以,最好是java)现在给出一个图a[i1,j1]a[i2,j2]...a[in,jn].i,j为该节点的坐标,两点间距离视为直线距离或者坐标距离相加(反正都一样)然后以坐标形式给出m个点.求从其中给出一点出发,遍历所有点回到出发点的最小路径.输出.跑点顺序.一个图形坐标系然后把那些点用线连起来就好了.路径总长不需要.实现这算法:1.搜索+剪枝(深搜广搜无所谓)2.常规搜索(不需要考虑效率)3.假设路径不交叉(也就是不会两次经过同一个点,可以没经过一个点删			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJk5a7b.html" rel="bookmark">人工神经网络简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				机器人2025本期导读 第一版: 人工神经网络简介 第二版: 受变色甲壳虫的启发,MIT研发可用于3D打印的机器人皮肤 第三版: 智享家 | 六年蛰伏,只为做一款好的机器人--大陆智源科技 高源 第四版: 数学专业经典读物 作者:fengbingchun 原文:http://blog.csdn.net/fengbingchun/article/details/50274471 一.人工神经网络的概念 人工神经网络(Artificial Neural Network,ANN)简称神经网络(NN),			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRqyGb.html" rel="bookmark" class="title">指针-opencv学习灰度图锐化的两个函数的差别不理解</a>
					<div>
						问题描述 opencv学习灰度图锐化的两个函数的差别不理解 下面是一个灰度图锐化的函数,我有两种方式实现,方式1,和方式2,居然得到的结果不一样,图片数据也不一样,请高手看一下,可能是C语言的知识掌握 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLo2vM.html" rel="bookmark" class="title">抛开Cookie使用SESSION－PHP中SESSION不能跨页传递问题的解决办法</a>
					<div>
						cookie|session|解决|问题 抛开cookie使用sessionPHP中SESSION不能跨页传递问题的解决办法 在PHP中使用过SESSION的朋友可能会碰到这么一个问题,SESSION ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOYGQM.html" rel="bookmark" class="title">用PEAR来写你的下一个php程序</a>
					<div>
						程序     你可能已经是个PHP的老手了,写了很多非常棒的代码.但是,如果你现在要把它们加入到你现在的项目中去,是否有些吃力?你的朋友想使用你的代码作为他的项目中的一个模块,但是你发现你们使用了截然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR2AaM.html" rel="bookmark" class="title">如何发掘高质量的长尾关键词</a>
					<div>
						网站上非目标关键词但却可以带来搜索流量的关键词定义为长尾关键词.长尾关键词的特点就是字数比较多,它存在于内容页面,与目标关键词最大的区别就是它所带来的流量是不稳定的,波动比较大.但优点是能给网站带来目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNR54M.html" rel="bookmark" class="title">从卢松松博客文章学习网站的内链优化</a>
					<div>
						网站内链优化的作用有很多,简单的说可以引导用户阅读,提升网站pv;增加链接入口,方便蜘蛛抓取等,页面内链做的好,可以让整个网站权重均衡;相对于外链来说,合理的内链同样也能提升网站的权重和关键词的排名, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPVqOM.html" rel="bookmark" class="title">Firefox使用教程：让多个浏览器收藏夹同步</a>
					<div>
						在IE中称为&quot;收藏夹&quot;,在Firefox和Opera中则名为&quot;书签&quot;.收藏夹是用来收集个人重要信息,有些用户希望不论何地.不论何种浏览器,都能够轻松访问自己的收 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PjjJM.html" rel="bookmark" class="title">聊聊UI DESIGN到底做什么的</a>
					<div>
						  新人初涉UI领域,除了掌握必要的技能点,想尽快上手,了解整个设计流程也很重要,今天血儿同学聊聊自己接单的7个步骤,以供参考 &gt;&gt;&gt; 血儿:UI到底做什么,要从UI接到的工作流程来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGYl3b.html" rel="bookmark" class="title">Win8&period;1出现Preview安装无法完成的解决方法</a>
					<div>
						  Win8.1提示Preview安装无法完成的解决方法 1.打开网络和共享中心,然后进入到&quot;更改适配器设置&quot;; 2.右键点击&quot;以太网&quot;并点击&quot;属性& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXDnep.html" rel="bookmark" class="title">win8系统中怎么为软件设置快捷键启动</a>
					<div>
						  1.首先,咱们需要返回到win8系统的传统桌面位置,然后在win8系统中找到自己想要设置的软件图标,之后,咱们右键点击这个软件图标,在弹出来的下滑菜单中,咱们选择属性. 2.之后,咱们就可以看到如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBY6Vz.html" rel="bookmark" class="title">windows xp系统重启与关机也要逆袭</a>
					<div>
						windows系统的开机速度,一直都是人们关注的火热话题.而除了开机的速度,重启和关机时却忽视了很多.木桶能装多少水取决于最短的板.因此,一起来看看除了升级硬件(cpu.内存.硬盘等)外,还有什么巧妙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYja0M.html" rel="bookmark" class="title">加快USB传输速度</a>
					<div>
						  如果USB的传输速度很慢,可以在BIOS中进行设置,提高一定的速度. 在BIOS中选择Advanced主菜单,然后选择USB Configuration选项,按[Enter]键进入USB Conf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWXqop.html" rel="bookmark" class="title">本机两个Android模拟器之间的网络通信</a>
					<div>
						  [本机(PC)IP以及Android模拟器IP的说明] 在本机上启动两个模拟器,本机(PC)和模拟器的信息如下: 大家可以看到,两个模拟器的IP地址都是完全一样的,所以要实现两个模拟器之间的通信, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NYxJM.html" rel="bookmark" class="title">浅谈如何选择合适的域名</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 一般来说,一个网站是由域名,空间, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqxrdb.html" rel="bookmark" class="title">为代码签名，供后人瞻仰或唾弃，你敢吗？</a>
					<div>
						如何衡量代码质量的好坏,是否有一个标准,是否可以量化? 我认为答案是否定的.如果今年中央给各省下个死命令,要求年度GDP增长达到10%,我相信每个省一定都能完成任务.这几年,GDP增长都在8%以上,C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7BO5M.html" rel="bookmark" class="title">15个能帮你提高工作效率的CSS工具</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 如今的互联网时代,CSS设计师已经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmJQ5b.html" rel="bookmark" class="title">list-使用javamail从数据库中循环获值，发送到邮箱中的问题。</a>
					<div>
						问题描述 使用javamail从数据库中循环获值,发送到邮箱中的问题. 将数据库中获得的值存放在list中,通过String将值发送到邮箱中. String body=&quot;内容&quot; m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke5Ayb.html" rel="bookmark" class="title">《计算机网络：自顶向下方法（原书第6版）》一2&period;5　DNS：因特网的目录服务</a>
					<div>
						2.5 DNS:因特网的目录服务 人类能以很多方式来标识.例如,我们能够通过出生证书上的名字来标识:能够通过社会保险号码来标识:也能够通过驾驶执照上的号码来标识.尽管这些标识办法都可以用来识别一个人, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRJA2b.html" rel="bookmark" class="title">Google Chrome 悄悄升级 WebGL 2&period;0 标准</a>
					<div>
						Google Chrome 悄悄升级了 WebGL 2.0 标准,可以借助新一代显卡,提供先进的 3D 影像,还可以使用 WebGL 2.0 获得更快的 3D 渲染. 其实早在 Chrome 56(今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRKDZp.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;11&period;17 基于聚类规则项的多任务聚类方法</a>
					<div>
						11.17 基于聚类规则项的多任务聚类方法 多任务学习方法能够对交通路网中的多个节点同时进行分析,这满足了交通的网络性特点所提出的要求.进一步的,异质的多任务学习方法又对应了交通中关联关系的异质性特点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqvXWb.html" rel="bookmark" class="title">三星诺基亚推手机新品智能手机市场竞争日趋激烈</a>
					<div>
						CNET科技资讯网6月16日国际报道 三星和诺基亚周一发布了新智能手机产品,为用户在苹果iPhone和Palm Pre之外提供了更多选择,且价格更低. 过去两周中,苹果升级了iPhone,Palm发布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JYVJz.html" rel="bookmark" class="title">Ajax实现的异步传输与验证示例代码&lowbar;AJAX相关</a>
					<div>
						Ajax异步传输用得很广,就拿web开发来说吧,当用户注册时,当用户刚一输完,怎么立即判断用户是否存在,并在输入框后显示提示?这就用到了异步传输~~ 它可以让你不离开页面的情况下,获取后台你想要的数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLxYYM.html" rel="bookmark" class="title">websphere8&period;5如何把jdk换成1&period;8版本，谢谢！</a>
					<div>
						问题描述 我想问一下有没有换过websphere的jdk版本,我想把1.6换成1.8的,求解,谢谢! 解决方案 解决方案二: 解决方案三:6.1版本将WebSphere自带的jdk1.5的路径换成Su ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRwlrp.html" rel="bookmark" class="title">海量的曲库某种程度上造成了用户的选择障碍</a>
					<div>
						摘要: 海量的曲库某种程度上造成了用户的选择障碍,这也是流媒体尚未成为一种大众消费潮流的原因之一,虽然音乐单曲购买的模式在衰落.仅仅有算法不能解决听什么音乐的问题,因为唱 海量的曲库某种程度上造成了用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5KlLp.html" rel="bookmark" class="title">学习java八大优点，受益匪浅</a>
					<div>
						一.Java是目前使用最为广泛的网络编程语言之一. 它具有简单,面向对象,稳定,与平台无关,解释型,多线程,动态等特点. 二.简单 Java 语言简单是指这门语言既易学有好用.不要将简单误解为这门语言 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeLOJM.html" rel="bookmark" class="title">《最终幻想14》Xbox360版还有戏</a>
					<div>
						在最近举行的德国科隆游戏展上,&lt;最终幻想14&gt;的制作人田中弘道(Hiromichi Tanaka)先生对媒体表示,这款大型网游的Xbox 360版本并没有最终取消,仅仅是暂时停止开发.先前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLqDBM.html" rel="bookmark" class="title">未处理的事件&amp;amp&semi;quot&semi;PageIndexChanging&amp;amp&semi;quot&semi; 之解决方案&lowbar;实用技巧</a>
					<div>
						解决方法如下: 给GridView控件添加一个事件PageIndexChanging,并设置GridView的属性:AllowPaging=&quot;True&quot;  复制代码 代码如下: p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkyN9M.html" rel="bookmark" class="title">配置命令提示符的方法&lowbar;DOS&sol;BAT</a>
					<div>
						配置命令提示符 打开 命令提示符.  单击命令提示符窗口的左上角,然后单击&quot;属性&quot;.  单击&quot;选项&quot;选项卡.  在&quot;命令记录&quot;的&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq3WWp.html" rel="bookmark" class="title">javascript学习笔记&lpar;十七&rpar; 检测浏览器插件代码&lowbar;基础知识</a>
					<div>
						复制代码 代码如下: //检测非IE浏览器插件函数 function hasPlugin(name) { name = name.toLowerCase(); for (var i=0 ; i &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkw33z.html" rel="bookmark" class="title">C语言实现逆波兰式实例&lowbar;C 语言</a>
					<div>
						复制代码 代码如下: #include&lt;stdio.h&gt;#include&lt;string.h&gt; typedef struct{char s[20][20];int top;}SQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE81jp.html" rel="bookmark" class="title">Laravel Cashier例子之付费会员&amp;amp&semi;分期付款&amp;amp&semi;生成发票</a>
					<div>
						1.在Stripe中创建收费计划 正所谓兵马未动,粮草先行,在正式编写业务逻辑代码之前,我们先要到Stripe个人中心创建订购计划.导航到https://dashboard.stripe.com/te ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
